﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushPlatform.Common.Model
{
    /// <summary>
    /// 微信模板消息
    /// </summary>
    public class WechatMsgModel
    {
        /// <summary>
        /// 接收模板消息的用户的openid
        /// </summary>
        public string touser { get; set; }
        /// <summary>
        /// 模板库中模板的编号
        /// </summary>
        public string template_id_short { get; set; }
        /// <summary>
        /// 模板Id
        /// </summary>
        public string templeteid { get; set; }
        /// <summary>
        /// 公众号原始Id
        /// </summary>
        public string originalid { get; set; }
        /// <summary>
        /// 消息内容JSon字符串，如："data":{"first": {"value":"恭喜你购买成功！","color":"#173177" }}
        /// </summary>
        public string data { get; set; }
        /// <summary>
        /// 消息跳转链接
        /// </summary>
        public string url { get; set; }
    }
}
